Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class StartInstancesResult

    java.lang.Object
      com.amazonaws.services.ec2.model.StartInstancesResult

    public class StartInstancesResult

extends Object

The result of calling the StartInstances operation. Contains details on how the specified instances are changing state.

Constructor Summary
`StartInstancesResult()`

Method Summary
`List<InstanceStateChange>` | `getStartingInstances()` The list of the starting instances and details on how their state has changed.
`void` | `setStartingInstances(Collection<InstanceStateChange> startingInstances)` The list of the starting instances and details on how their state has changed.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`StartInstancesResult` | `withStartingInstances(Collection<InstanceStateChange> startingInstances)` The list of the starting instances and details on how their state has changed.
`StartInstancesResult` | `withStartingInstances(InstanceStateChange... startingInstances)` The list of the starting instances and details on how their state has changed.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StartInstancesResult

    public StartInstancesResult()

Method Detail

### getStartingInstances

    public List<InstanceStateChange> getStartingInstances()

  The list of the starting instances and details on how their state has changed.

  Returns:
    The list of the starting instances and details on how their state has changed.

### setStartingInstances

    public void setStartingInstances(Collection<InstanceStateChange> startingInstances)

  The list of the starting instances and details on how their state has changed.

  Parameters:
    `startingInstances` - The list of the starting instances and details on how their state has changed.

### withStartingInstances

    public StartInstancesResult withStartingInstances(InstanceStateChange... startingInstances)

  The list of the starting instances and details on how their state has changed.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `startingInstances` - The list of the starting instances and details on how their state has changed.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withStartingInstances

    public StartInstancesResult withStartingInstances(Collection<InstanceStateChange> startingInstances)

  The list of the starting instances and details on how their state has changed.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `startingInstances` - The list of the starting instances and details on how their state has changed.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.